<template>
  <div id="app">
    <Header />
    <UniversalModal />
    <ReviewModal />
    <AddFriendModal />
    <router-view/>
  </div>
</template>
<script>

import Header from '@/components/Header'
import UniversalModal from '@/components/UniversalModal'
import ReviewModal from '@/components/ReviewModal'
import AddFriendModal from '@/components/AddFriendModal'
import { EVENTS, PROFILE } from './store/types'
export default {
  components: {
    Header,
    UniversalModal,
    ReviewModal,
    AddFriendModal
  },
  mounted () {
    this.$store.dispatch(EVENTS.ACTION.LOAD_POPULAR_EVENTS)
    if (this.$store.getters[PROFILE.GETTER.GET_USER_DATA]) {
      this.$store.dispatch(EVENTS.ACTION.LOAD_RECOMMENDED_EVENTS)
      this.$store.dispatch(EVENTS.ACTION.LOAD_MY_EVENTS)
    }
  }
}
</script>
<style lang="scss">
body {
  margin: 0;
}

textarea:focus, input:focus{
    outline: none;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  font-family: $base_font;
  // font-style: italic;
  position: relative;

  .rtrLnk {
    text-decoration: none;
  }
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}

@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&family=Playfair+Display:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;300;400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;300;400;500;600;700;800&family=Poppins:wght@300;400;500;600;700&display=swap');
</style>
